# GenObject Class Reference

`#include <yateclass.h>`

Inheritance diagram for GenObject:

List of all members.

## Public Member Functions

virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual void * | getObject (const String &name) const

## Detailed Description

An object with just a public virtual destructor

## Constructor & Destructor Documentation

virtual ~GenObject | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual bool alive | ( |  | ) | const`[virtual]`

Check if the object is still valid and safe to access. Note that you should not trust this result unless the object is locked by other means.

Returns:
  True if the object is still useable

Reimplemented in RefObject.

virtual void destruct | ( |  | ) | `[virtual]`

Destroys the object, disposes the memory.

Reimplemented in RefObject, and MessageHandler.

virtual const String& toString | ( |  | ) | const`[virtual]`

Get a string representation of this object

Returns:
  A reference to a String representing this object which is either null, the object itself (for objects derived from String) or some form of identification

Reimplemented in String, NamedString, DataEndpoint, CallEndpoint, and Window.

virtual void* getObject | ( | const String & | name | ) | const`[virtual]`

Get a pointer to a derived class given that class name

Parameters:

  | name | Name of the class we are asking for

Returns:
  Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented in ObjList, Array, String, HashList, DataBlock, NamedList, SocketFilter, MimeBody, MimeSdpBody, MimeBinaryBody, MimeStringBody, MimeLinesBody, Message, Plugin, DataConsumer, DataSource, DataTranslator, DataEndpoint, CallEndpoint, Module, Channel, and Driver.

The documentation for this class was generated from the following file:

- yateclass.h